# Copyright © 2020 Nick Bowler
#
# License GPLv2+: GNU General Public License version 2 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.
#
# This is a modified version of the original ebuild from Gentoo GNU/Linux,
# covered by the following copyright and permission notice:
#
#   Copyright 1999-2020 Gentoo Authors
#   Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 )

inherit autotools python-single-r1

MY_PN=${PN#gimp-}
MY_P=$MY_PN-$PV

DESCRIPTION="Suite of GIMP plugins for texture synthesis"
HOMEPAGE="https://github.com/bootchk/resynthesizer"
SRC_URI="https://github.com/bootchk/$MY_PN/archive/v$PV.tar.gz -> $P.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"

BDEPEND="virtual/pkgconfig"
DEPEND="$PYTHON_DEPS
	|| (
		media-plugins/gimp-python[$PYTHON_SINGLE_USEDEP]
		media-gfx/gimp[python(-),$PYTHON_SINGLE_USEDEP] )"
RDEPEND=$DEPEND
REQUIRED_USE=$PYTHON_REQUIRED_USE

S=$WORKDIR/$MY_P

src_prepare() {
	default
	eautoreconf
}
